      subroutine hec_his_evt1
c
c routine to fill histograms each event 
c
      implicit none
c
      include 'hec_par.inc'     ! shared parameters
      include 'hec_datacard.inc' ! datacard values
      include 'hec_geo.inc'     ! geometry correspondence tables 
      include 'hec_search.inc'  ! search common
c
c local variables
c
      integer ic
c
c first loop over channels and fill all event-by-event histos
c valid for each channel 
c
      do ic = 1, i_adc_used
        if (his_srch_flg .eq. 0 .or. hec_s_chan(ic)) then
          call hec_his_evt_hfill_ch(ic)
        endif
      enddo
c
c now fill histos that are not for each channel 
c
      call hec_his_evt_hfill
c
      return
      end
