      subroutine hec_his_evt_hfill
c
c fill histos in event loop that are not done for every channel
c
      implicit none
c
      include 'hec_par.inc'     ! shared parameters
      include 'hec_datacard.inc' ! datacard values
      include 'hec_geo.inc'     ! geometry correspondence tables
      include 'hec_his_sys.inc' ! histo ids, etc.
      include 'hec_tdc.inc'     ! tdc value
c
c local variables
c
      integer id, i_z, nid1
c
c histo type 4 -- tdc corrected
c
      if (histo_switch(4) .eq. 1) then
c
c fill tdc distribution histo
c
        nid1 = 0
        id = id_tdc 
        call hff1(id, nid1, hec_tdc_ns, 1.)              
      endif
c
c histo type 5 -- calibrated
c
      if (histo_switch(5) .eq. 1) then
c
c fill sigma cut energy histos
c
        id = id_cal_ic + 1001
        call hfill(id, sum_sigma(1), 0., 1.)
        id = id_cal_ic + 1002
        call hfill(id, sum_sigma(2), 0., 1.)
        id = id_cal_ic + 1003
        call hfill(id, sum_sigma(3), 0., 1.)
      endif
c
c histo type 2 -- geometrical energy distribution
c
      if (histo_switch(2) .eq. 1) then
c
c fill adc(max)-ped histograms for each depth
c
        do i_z = 1, i_z_used
          call hfill(id_adc_z + i_z,sig_sum(i_z),0.,1.)
        enddo
      endif
c
      return 
      end
