      subroutine hec_online_menu
c
c routine to print histogram menu
c
      implicit none
c
      print *, '***************************************************'
      print *, '* Histogram  Number  |  Content                   *'
      print *, '***************************************************'
      print *, '* 1                  |  adc pedestals             *' 
      print *, '* 2                  |  pedestal vs. ic           *' 
      print *, '* 3                  |  adc pedestal rms          *' 
      print *, '* 4                  |  adc pedestal rms  vs. ic  *' 
      print *, '* 5                  |  Max(adc) vs. ic           *'
      print *, '* 6,7,8              |  lego of Max in iz=1,2,3   *'
      print *, '* 10    + iz         |  Max-ped for depth iz      *'
      print *, '* 14,15              |  Depth profile: module 1,2 *'
      print *, '* 20                 |  TDC distribution          *'
      print *, '* 1000  + ic         |  Max-ped for (ic)          *' 
      print *, '* 2000  + ic         |  Max(time) (ic)            *' 
      print *, '* 2500  + ic         |  Max(time)+TDC in ns (ic)  *' 
      print *, '* 5200  + chamber #  |  MWPC hit wire distribution*' 
      print *, '* 5210  + chamber #  |  MWPC profile (cm)         *'
      print *, '* 10000 + ic         |  ADC vs time sample (ic)   *' 
      print *, '* 11000 + ic         |  ADC vs time in ns (ic)    *' 
      print *, '* 12000 + ic         |  Energy in nA (ic)         *' 
      print *, '* 13000 + # of sigma |  Energy above # sigma cut  *' 
      print *, '* 14000 + #          |  Energy in muon tower #    *' 
      print *, '* 14100 + #          |  ADC - ped in muon tower # *' 
      print *, '***************************************************'
      print *, '****note: ic refers to channel # ******************'
      print *, '***************************************************'
      print *, '***************************************************'
      print *, '* Summary Histogram  |  Content                   *'
      print *, '***************************************************'
      print *, '* 9990               |  NOISE                     *' 
      print *, '* 9991               |  SHAPE/TIME                *' 
      print *, '* 9992               |  ENERGY PROFILE            *'
      print *, '* 9993               |  HIGH ENERGY CELLS         *' 
      print *, '* 9994               |  BEAM CHAMBERS (X)         *' 
      print *, '* 9995               |  BEAM CHAMBERS (Y)         *' 
      print *, '***************************************************'
c
c
      return 
      end
